// LinElas3d_CG_TetraP13_IntpltDspl.cpp
// Lin. Elasticity 3d: CG P1^3: Interpolating displacement @nodes on tetra.mesh
// James Liu, ColoState; 2014/07--2016/10

#include <cmath>

#include "vector.h"

#include "PtVec3d.h"
#include "TetraMesh.h"


int LinElas3d_CG_TetraP13_IntpltDspl(PtVec3d *IntpltDspl,
                                     PtVec3d (*fxnu)(PtVec3d),
                                     const TetraMesh &mesh)
{
  for (int labeld=1; labeld<=mesh.numberNodes(); ++labeld) {
    int ld = labeld - 1;
    IntpltDspl[ld] = fxnu(mesh.node(labeld));
  }
  return(0);  // If successful
}